2021-12-10  Gilles Caulier <caulier.gilles@gmail.com>

	* CMakeLists.txt: Include the KDE cmake modules as first thing, as
	their settings can influence other included macros (ECM, Qt, Local).


2021-12-09  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2021-12-09  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2021-12-09  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/mxe/config.sh: update ExifTool for Windows to last
	12.37

2021-12-08  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2021-12-08  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/macports/01-build-macports.sh: remove this
	variable too for last XCode version

2021-12-08  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/macports/common.sh: With last XCode, this variable
	is not necessary to compile Qt5

2021-12-08  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/macports/01-build-macports.sh: MacOS PKG build :
	we need to use mariadb 10.5 with Qt5 mysql plugin. Default Mariadb
	5.5 do not build with last XCode

2021-12-08  Maik Qualmann <metzpinguin@gmail.com>

	* NEWS: update

2021-12-08  Maik Qualmann <metzpinguin@gmail.com>

	* NEWS: update

2021-12-07  Maik Qualmann <metzpinguin@gmail.com>

	* NEWS, core/dplugins/generic/tools/calendar/wizard/calwizard.cpp: 
	fix file dialog filter for *ics files BUGS: 446630 FIXED-IN: 7.4.0

2021-12-07  Maik Qualmann <metzpinguin@gmail.com>

	* core/showfoto/main/showfoto_config.cpp: polish

2021-12-07  Maik Qualmann <metzpinguin@gmail.com>

	* core/showfoto/main/showfoto_config.cpp: fix loading metadata
	filters after change in showFoto

2021-12-07  Maik Qualmann <metzpinguin@gmail.com>

	* core/libs/properties/itempropertiesmetadatatab.cpp: show all
	metadata per config default

2021-12-06  Maik Qualmann <metzpinguin@gmail.com>

	* core/libs/properties/itempropertiesmetadatatab.cpp: use empty
	custom filter for config default

2021-12-06  Maik Qualmann <metzpinguin@gmail.com>

	* NEWS: update

2021-12-06  Maik Qualmann <metzpinguin@gmail.com>

	* NEWS, core/libs/widgets/metadata/exiftool/exiftoolwidget.cpp,
	core/libs/widgets/metadata/exiv2/metadatawidget.cpp: disable custom
	filter action if no custom metadata tags selected BUGS: 446528
	FIXED-IN: 7.4.0

2021-12-06  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/CD/ContinuousDeploy.txt: add link to MDS tool to
	download MacOS ISO for upgrade

2021-12-05  Maik Qualmann <metzpinguin@gmail.com>

	* core/tests/metadataengine/applytags_utest.cpp: fix ApplyTagsTest
	utest

2021-12-05  Maik Qualmann <metzpinguin@gmail.com>

	* core/utilities/queuemanager/manager/task.cpp: remove possible temp
	sidecar if batch skipped

2021-12-05  Maik Qualmann <metzpinguin@gmail.com>

	* core/utilities/queuemanager/manager/task.cpp: polish

2021-12-05  Maik Qualmann <metzpinguin@gmail.com>

	* core/utilities/queuemanager/main/queuemgrwindow.cpp,
	core/utilities/queuemanager/manager/actions.h,
	core/utilities/queuemanager/manager/actionthread.cpp,
	core/utilities/queuemanager/manager/task.cpp: use separate
	ActionStatus for skipped batch

2021-12-05  Maik Qualmann <metzpinguin@gmail.com>

	* core/libs/widgets/files/filesaveconflictbox.cpp: polish

2021-12-05  Maik Qualmann <metzpinguin@gmail.com>

	* core/utilities/queuemanager/manager/actionthread.cpp: polish

2021-12-05  Maik Qualmann <metzpinguin@gmail.com>

	* NEWS, core/libs/widgets/files/filesaveconflictbox.cpp,
	core/libs/widgets/files/filesaveconflictbox.h,
	core/utilities/queuemanager/manager/actionthread.cpp,
	core/utilities/queuemanager/manager/task.cpp,
	core/utilities/queuemanager/views/queuesettingsview.cpp: add file
	skip option to the BQM BUGS: 446512 FIXED-IN: 7.4.0

2021-12-05  Maik Qualmann <metzpinguin@gmail.com>

	* core/libs/metadataengine/dmetadata/dmetadata_faces.cpp: remove
	face metadata before writing new ones to prevent problems BUGS
	436286 FIXED-IN: 7.4.0

2021-12-05  Maik Qualmann <metzpinguin@gmail.com>

	* core/libs/metadataengine/dmetadata/dmetadata_faces.cpp,
	core/libs/metadataengine/engine/metaengine.h,
	core/libs/metadataengine/engine/metaengine_xmp.cpp: fix remove face
	metadata completely from image CCBUGS: 436286

2021-12-05  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/CD/ContinuousDeploy.txt: this git revision must be
	used to install BigSur, as current git master loop into the end of
	the world wihen creating VM file systems

2021-12-05  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2021-12-04  Maik Qualmann <metzpinguin@gmail.com>

	* NEWS: update

2021-12-04  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/mxe/04-build-installer.sh,
	project/bundles/mxe/rll.py: Fix Windows installer with last MXE
	build

2021-12-03  Maik Qualmann <metzpinguin@gmail.com>

	* NEWS: update

2021-12-03  Maik Qualmann <metzpinguin@gmail.com>

	* NEWS: update

2021-12-03  Maik Qualmann <metzpinguin@gmail.com>

	* NEWS: update

2021-12-03  Maik Qualmann <metzpinguin@gmail.com>

	* NEWS, core/app/dragdrop/itemdragdrop.cpp: fix dropping tags on the
	preview thumbnail bar BUGS: 446342 FIXED-IN: 7.4.0

2021-12-03  l10n daemon script <scripty@kde.org>

	* core/app/main/digikam.notifyrc,
	core/dplugins/generic/tools/htmlgallery/themes/classic/classic.desk
	top,
	core/dplugins/generic/tools/htmlgallery/themes/cleanframes/cleanfra
	mes.desktop,
	core/dplugins/generic/tools/htmlgallery/themes/elegant/elegant.desk
	top,
	core/dplugins/generic/tools/htmlgallery/themes/html5responsive/html
	5responsive.desktop,
	core/dplugins/generic/tools/htmlgallery/themes/simple/simple.deskto
	p,
	core/dplugins/generic/tools/htmlgallery/themes/simplerounded/simple
	rounded.desktop,
	core/dplugins/generic/tools/htmlgallery/themes/vanilla/vanilla.desk
	top: SVN_SILENT made messages (.desktop file) - always resolve ours
	In case of conflict in i18n, keep the version of the branch "ours"
	To resolve a particular conflict, "git checkout --ours
	path/to/file.desktop"

2021-12-02  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2021-12-02  Maik Qualmann <metzpinguin@gmail.com>

	* NEWS, core/libs/metadataengine/engine/metaengine.cpp: register
	Apple face info (apple-fi) namespace BUGS: 436286 BUGS: 446350
	FIXED-IN: 7.4.0

2021-12-02  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/mxe/04-build-installer.sh: cache ExifTool archive
	in downloading dir

2021-12-01  Maik Qualmann <metzpinguin@gmail.com>

	* NEWS: update

2021-12-01  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2021-11-30  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/mxe/04-build-installer.sh: Use exiftool archive
	hosted from sourceforge, where files release history is always
	avaialble compared to exiftool.org

2021-11-28  Maik Qualmann <metzpinguin@gmail.com>

	* NEWS: update

2021-11-27  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/mxe/02-build-extralibs.sh: fix install path of
	marble data

2021-11-27  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/mxe/03-build-digikam.sh: cleanup

2021-11-27  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/appimage/02-build-extralibs.sh: cleanup

2021-11-27  Gilles Caulier <caulier.gilles@gmail.com>

	* core/libs/dngwriter/extra/xmp_sdk/XMPCore/source/XMPUtils.cpp: 
	polish

2021-11-27  Gilles Caulier <caulier.gilles@gmail.com>

	* core/libs/dngwriter/extra/xmp_sdk/XMPCore/source/XMPUtils.cpp,
	project/bundles/appimage/02-build-extralibs.sh,
	project/bundles/mxe/03-build-digikam.sh: fix broken compilation

2021-11-27  Gilles Caulier <caulier.gilles@gmail.com>

	* core/libs/dngwriter/extra/xmp_sdk/XMPCore/source/XMPUtils.cpp: Try
	to fix compilation with new MXE build

2021-11-26  Maik Qualmann <metzpinguin@gmail.com>

	* core/libs/database/haar/haariface.cpp: use new reference for
	resultsCandidates

2021-11-26  Maik Qualmann <metzpinguin@gmail.com>

	* NEWS, core/libs/database/haar/haariface.cpp: update

2021-11-26  Maik Qualmann <metzpinguin@gmail.com>

	* core/libs/database/haar/haariface.cpp: use the oldest image date
	or larger pixel/file size as the reference image So far, the
	reference image was actually more of a "coincidence", depending on
	the image ID in the database. That makes little sense, because we
	are looking for the original image if possible. CCBUGS: 444578 BUGS:
	439446 FIXED-IN: 7.4.0

2021-11-26  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/mxe/01-build-mxe.sh: We needs openssl for cmake

2021-11-25  Maik Qualmann <metzpinguin@gmail.com>

	* NEWS: update

2021-11-25  Maik Qualmann <metzpinguin@gmail.com>

	* NEWS: update

2021-11-24  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/CD/ContinuousDeploy.txt: update

2021-11-24  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/CD/appimage/appimage_update.sh,
	project/bundles/CD/macports/macports_update.sh: update

2021-11-24  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/CD/appimage/appimage_update.sh: update

2021-11-24  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/CD/appimage/appimage_update.sh,
	project/bundles/CD/mxe/mxe_update.sh: add 2 scripts to run with
	screen cli tools instead crontab

2021-11-24  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/3rdparty/ext_exiv2/CMakeLists.txt: swith 0.27
	maintainance exiv2 branch to include last patches not yet released
	in stable release

2021-11-23  Maik Qualmann <metzpinguin@gmail.com>

	* NEWS: update

2021-11-22  Gilles Caulier <caulier.gilles@gmail.com>

	* core/dplugins/dimg/heif/CMakeLists.txt,
	core/dplugins/dimg/heif/dimgheifloader.cpp,
	core/dplugins/dimg/heif/dimgheifloader.h,
	core/dplugins/dimg/heif/dimgheifloader_load.cpp,
	core/dplugins/dimg/heif/dimgheifloader_save.cpp,
	core/dplugins/dimg/heif/dimgheifplugin.cpp,
	core/dplugins/dimg/heif/dimgheifplugin.h: fix coding style

2021-11-21  Maik Qualmann <metzpinguin@gmail.com>

	* core/showfoto/main/main.cpp: workaround for auto color icon theme
	in showFoto

2021-11-21  Maik Qualmann <metzpinguin@gmail.com>

	* core/utilities/imageeditor/dialogs/softproofdialog.cpp,
	core/utilities/imageeditor/editor/editorwindow.cpp,
	core/utilities/setup/setupicc.cpp: fix missing printer icons on
	Windows and polish

2021-11-21  Maik Qualmann <metzpinguin@gmail.com>

	* core/app/main/digikamapp_config.cpp, core/app/main/main.cpp: 
	workaround for auto color icon theme in KF-5.88 Note: In a plasma
	environment, use the digiKam icon theme setting from the system.

2021-11-21  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2021-11-20  Maik Qualmann <metzpinguin@gmail.com>

	* NEWS: update

2021-11-20  Maik Qualmann <metzpinguin@gmail.com>

	* NEWS, core/libs/tags/widgets/addtagscombobox.cpp: if the text
	field is empty, allow the left/right keys to navigate BUGS: 445827
	FIXED-IN: 7.4.0

2021-11-20  Maik Qualmann <metzpinguin@gmail.com>

	* NEWS: update

2021-11-20  Maik Qualmann <metzpinguin@gmail.com>

	* core/libs/tags/engine/tagmodificationhelper.cpp: prevent unmark as
	face for the system face tags BUGS: 445817 FIXED-IN: 7.4.0

2021-11-20  Gilles Caulier <caulier.gilles@gmail.com>

	* core/cmake/modules/FindHEIF.cmake: add HEIF definitions support

2021-11-19  Gilles Caulier <caulier.gilles@gmail.com>

	* core/cmake/modules/FindHEIF.cmake,
	core/cmake/modules/FindX265.cmake: polish

2021-11-19  l10n daemon script <scripty@kde.org>

	* core/app/main/org.kde.digikam.appdata.xml: GIT_SILENT made
	messages (after extraction)

2021-11-18  Gilles Caulier <caulier.gilles@gmail.com>

	* core/cmake/modules/FindHEIF.cmake,
	core/cmake/modules/FindLensFun.cmake,
	core/cmake/modules/FindX265.cmake: Add find libheif cmake script to
	use native version of library, included dependencies CCBUGS: 441648


2021-11-18  Gilles Caulier <caulier.gilles@gmail.com>

	* core/showfoto/main/showfoto_open.cpp,
	core/showfoto/stackview/showfotostackviewfavoriteitemdlg.cpp,
	core/showfoto/stackview/showfotostackviewfavoriteitemdlg.h,
	core/showfoto/stackview/showfotostackviewsidebar.cpp: polish

2021-11-17  Gilles Caulier <caulier.gilles@gmail.com>

	* core/showfoto/folderview/showfotofolderviewbar.cpp,
	core/showfoto/folderview/showfotofolderviewlist.cpp,
	core/showfoto/stackview/showfotostackviewfavorites.cpp,
	core/showfoto/stackview/showfotostackviewlist.cpp,
	core/showfoto/stackview/showfotostackviewsidebar.cpp: add missing
	icons in menus add comments

2021-11-16  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/CD/save-dk-vms.sh,
	project/bundles/CD/start-dk-vms.sh: Add 2 bash scripts to start and
	save bundle build VMS on master

2021-11-15  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/mxe/04-build-installer.sh,
	project/bundles/mxe/installer/digikam.nsi: use -s with strip CLI
	tool to drop all symbols from binary files. The goal is to optimize
	installer size swith NSIS to warnings level 4 to get more info if
	packaging fails

2021-11-14  Maik Qualmann <metzpinguin@gmail.com>

	* core/libs/video/player/slidevideo.cpp,
	core/libs/video/player/slidevideo.h: Revert "Use QtAV video output
	also for the slideshow"

2021-11-14  Maik Qualmann <metzpinguin@gmail.com>

	* core/libs/video/player/mediaplayerview.cpp: Revert "Use QtAV video
	output to use hardware acceleration if supported"

2021-11-14  Maik Qualmann <metzpinguin@gmail.com>

	* core/libs/video/player/mediaplayerview.cpp: Revert "reset widget
	rotation if playing new item"

2021-11-14  Maik Qualmann <metzpinguin@gmail.com>

	* core/libs/video/player/mediaplayerview.cpp,
	core/libs/video/player/slidevideo.cpp,
	core/libs/video/player/slidevideo.h: Revert "revert video rotation
	with libAVFilter"

2021-11-14  Maik Qualmann <metzpinguin@gmail.com>

	* core/libs/video/player/mediaplayerview.cpp,
	core/libs/video/player/slidevideo.cpp: Revert "polish"

2021-11-14  Maik Qualmann <metzpinguin@gmail.com>

	* core/libs/video/player/mediaplayerview.cpp: Revert "try to force
	platform dependent audio output plugin"

2021-11-14  Maik Qualmann <metzpinguin@gmail.com>

	* NEWS, core/libs/fileactionmanager/metadatahub.cpp,
	core/libs/metadataengine/dmetadata/dmetadata.h,
	core/libs/metadataengine/dmetadata/dmetadata_faces.cpp: add write
	mwg-rs:AppliedToDimensions XMP tag structure Note: digiKam itself
	still ignores AppliedToDimensions when importing. BUGS: 429219 BUGS:
	445440 FIXED-IN: 7.4.0

2021-11-14  Maik Qualmann <metzpinguin@gmail.com>

	* core/libs/rawengine/drawfiles.cpp: add Phase One camera Raw format
	IIQ

2021-11-14  Yuri Chornoivan <yurchor@ukr.net>

	* core/libs/album/widgets/albumpropsedit.cpp,
	core/showfoto/stackview/showfotostackviewfavoriteitemdlg.cpp: Fix
	more minor typos

2021-11-13  Maik Qualmann <metzpinguin@gmail.com>

	* core/libs/video/player/mediaplayerview.cpp: try to force platform
	dependent audio output plugin CCBUGS: 382582 CCBUGS: 445422

2021-11-13  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/mxe/04-build-installer.sh: fix unzip arguments
	order

2021-11-13  Maik Qualmann <metzpinguin@gmail.com>

	* NEWS: update

2021-11-13  Gilles Caulier <caulier.gilles@gmail.com>

	* core/libs/album/widgets/albumpropsedit.cpp,
	core/libs/album/widgets/albumpropsedit.h: fix coding style and add
	tooltips

2021-11-13  Gilles Caulier <caulier.gilles@gmail.com>

	* core/showfoto/stackview/showfotostackviewfavoriteitemdlg.cpp: add
	what's this. fix layout

2021-11-12  Maik Qualmann <metzpinguin@gmail.com>

	* NEWS: update

2021-11-12  Maik Qualmann <metzpinguin@gmail.com>

	* core/libs/kmemoryinfo/libstatgrab/kmemoryinfo_backend.cpp: disable
	code for memory information from MacOS BUGS: 445061 FIXED-IN: 7.4.0


2021-11-12  Maik Qualmann <metzpinguin@gmail.com>

	* NEWS: update

2021-11-12  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: ùpdate

2021-11-12  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2021-11-12  Gilles Caulier <caulier.gilles@gmail.com>

	* core/libs/dplugins/widgets/ditemslist.cpp: force icon size in
	constructor by default, this can be overwritten by client
	implementations

2021-11-11  Gilles Caulier <caulier.gilles@gmail.com>

	* core/libs/kmemoryinfo/libstatgrab/kmemoryinfo_backend.cpp: 2nd try
	to fix compilation under macos

2021-11-11  Gilles Caulier <caulier.gilles@gmail.com>

	* core/libs/kmemoryinfo/libstatgrab/kmemoryinfo_backend.cpp: try to
	fix MacOS Build

2021-11-11  Gilles Caulier <caulier.gilles@gmail.com>

	* core/showfoto/stackview/showfotostackviewfavoriteitemdlg.cpp: 
	krazy++

2021-11-10  Joerg Lohse <joergmlpts@gmail.com>

	* core/dplugins/generic/webservices/inaturalist/inatwidget.cpp: open
	user's observations with new url

2021-11-10  Gilles Caulier <caulier.gilles@gmail.com>

	* core/libs/database/tags/tagscache.cpp,
	core/showfoto/stackview/showfotostackviewfavoriteitem.h,
	core/showfoto/stackview/showfotostackviewfavoriteitemdlg.cpp,
	core/showfoto/stackview/showfotostackviewfavoritelist.cpp: 
	cppcheck++

2021-11-10  Gilles Caulier <caulier.gilles@gmail.com>

	* core/showfoto/stackview/showfotostackviewfavoriteitemdlg.cpp: 
	disabled these 3 buttons if favorite entry is a simple hierarchy
	folder

2021-11-10  Gilles Caulier <caulier.gilles@gmail.com>

	* core/showfoto/stackview/showfotostackviewfavoriteitemdlg.cpp,
	core/showfoto/stackview/showfotostackviewfavoriteitemdlg.h: Add 3
	buttons to caculate favorite item date from urls list of image
	properties.

2021-11-09  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2021-11-09  Gilles Caulier <caulier.gilles@gmail.com>

	* core/showfoto/stackview/showfotostackviewfavoriteitemdlg.cpp: add
	tooltip and fix i18n

2021-11-09  Gilles Caulier <caulier.gilles@gmail.com>

	* core/showfoto/stackview/showfotostackviewfavoriteitemdlg.cpp: fix
	layout

2021-11-09  Gilles Caulier <caulier.gilles@gmail.com>

	* core/showfoto/stackview/showfotostackviewfavoriteitemdlg.cpp: add
	tooltip

2021-11-09  Gilles Caulier <caulier.gilles@gmail.com>

	* core/showfoto/stackview/showfotostackviewfavoriteitem.h,
	core/showfoto/stackview/showfotostackviewfavoriteitemdlg.cpp,
	core/showfoto/stackview/showfotostackviewfavoriteitemdlg.h,
	core/showfoto/stackview/showfotostackviewfavorites.cpp: use combo
	box instead checkbox to select favorite type. Fix API to be
	homogeneous everywhere. code simplification and factorisation.

2021-11-08  Maik Qualmann <metzpinguin@gmail.com>

	* core/libs/kmemoryinfo/libstatgrab/kmemoryinfo_backend.cpp: try
	with uint64 for MacOS memory info CCBUGS: 445061

2021-11-08  Gilles Caulier <caulier.gilles@gmail.com>

	* core/showfoto/stackview/showfotostackviewfavoriteitemdlg.cpp: if
	advanced properties checkbox is turned on/off, check if information
	can be accepted from the dialog.

2021-11-08  Gilles Caulier <caulier.gilles@gmail.com>

	* core/showfoto/CMakeLists.txt,
	core/showfoto/stackview/showfotostackviewfavoritefolderdlg.cpp,
	core/showfoto/stackview/showfotostackviewfavoritefolderdlg.h,
	core/showfoto/stackview/showfotostackviewfavoriteitem.cpp,
	core/showfoto/stackview/showfotostackviewfavoriteitemdlg.cpp,
	core/showfoto/stackview/showfotostackviewfavoriteitemdlg.h,
	core/showfoto/stackview/showfotostackviewfavorites.cpp: Factoring
	stack folder and item property dialogs. Now we can switch one entry
	in hierarchy from simple favorite folder to advanced favorite item
	and vice versa.

2021-11-08  Maik Qualmann <metzpinguin@gmail.com>

	* NEWS: update

2021-11-08  Gilles Caulier <caulier.gilles@gmail.com>

	* core/showfoto/stackview/showfotostackviewfavoritefolderdlg.cpp,
	core/showfoto/stackview/showfotostackviewfavoritefolderdlg.h,
	core/showfoto/stackview/showfotostackviewfavoriteitem.h,
	core/showfoto/stackview/showfotostackviewfavoriteitemdlg.cpp,
	core/showfoto/stackview/showfotostackviewfavoriteitemdlg.h,
	core/showfoto/stackview/showfotostackviewfavorites.cpp: fix coding
	style

2021-11-07  Maik Qualmann <metzpinguin@gmail.com>

	* NEWS: update

2021-11-07  Maik Qualmann <metzpinguin@gmail.com>

	* core/libs/database/collection/collectionscanner.cpp,
	core/libs/database/collection/collectionscanner.h,
	core/libs/database/collection/collectionscanner_p.cpp,
	core/libs/database/collection/collectionscanner_p.h,
	core/libs/database/collection/collectionscanner_scan.cpp,
	core/libs/database/utils/scan/scancontroller.cpp,
	core/libs/database/utils/scan/scancontroller.h,
	core/libs/database/utils/scan/scancontroller_p.cpp,
	core/libs/database/utils/scan/scancontroller_p.h,
	core/libs/database/utils/scan/scancontroller_start.cpp,
	core/utilities/setup/album/setupmime.cpp,
	core/utilities/setup/collections/setupcollections.cpp: in some cases
	we have to disable the fast collection scan

2021-11-07  Gilles Caulier <caulier.gilles@gmail.com>

	* core/showfoto/stackview/showfotostackviewfavoriteitemdlg.cpp,
	core/showfoto/stackview/showfotostackviewfavoriteitemdlg.h: Save and
	restore dialog size between sessions

2021-11-07  Gilles Caulier <caulier.gilles@gmail.com>

	* core/libs/dialogs/deletedialog.cpp,
	core/libs/dialogs/webbrowserdlg.cpp: polish

2021-11-07  Gilles Caulier <caulier.gilles@gmail.com>

	* core/showfoto/stackview/showfotostackviewfavoritefolderdlg.cpp,
	core/showfoto/stackview/showfotostackviewfavoritefolderdlg.h,
	core/showfoto/stackview/showfotostackviewfavoriteitemdlg.cpp,
	core/showfoto/stackview/showfotostackviewfavoriteitemdlg.h: set
	parent item must be done in first

2021-11-06  Maik Qualmann <metzpinguin@gmail.com>

	* core/libs/database/tags/tagscache.cpp: move private definition to
	the declaration

2021-11-06  Maik Qualmann <metzpinguin@gmail.com>

	* core/libs/database/tags/tagscache.cpp: QRegExp is not needed here
	to check 3 variants We don't need to test for a beginning or ending
	slash

2021-11-06  Maik Qualmann <metzpinguin@gmail.com>

	* core/libs/database/tags/tagscache.cpp: this should also have a
	QReadLocker

2021-11-06  Maik Qualmann <metzpinguin@gmail.com>

	* core/libs/database/tags/tagscache.cpp: polish

2021-11-06  Maik Qualmann <metzpinguin@gmail.com>

	* core/libs/database/tags/tagscache.cpp: fix QReadWriteLock race
	condition in the TagsCache CCBUGS: 444969

2021-11-06  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS, core/libs/rawengine/drawdecoder.cpp,
	core/libs/rawengine/libraw/Changelog.txt,
	core/libs/rawengine/libraw/README.md,
	core/libs/rawengine/libraw/internal/libraw_cameraids.h,
	core/libs/rawengine/libraw/internal/libraw_internal_funcs.h,
	core/libs/rawengine/libraw/internal/var_defines.h,
	core/libs/rawengine/libraw/libraw/libraw.h,
	core/libs/rawengine/libraw/libraw/libraw_const.h,
	core/libs/rawengine/libraw/libraw/libraw_datastream.h,
	core/libs/rawengine/libraw/libraw/libraw_internal.h,
	core/libs/rawengine/libraw/libraw/libraw_types.h,
	core/libs/rawengine/libraw/libraw/libraw_version.h,
	core/libs/rawengine/libraw/samples/4channels.cpp,
	core/libs/rawengine/libraw/samples/dcraw_emu.cpp,
	core/libs/rawengine/libraw/samples/mem_image_sample.cpp,
	core/libs/rawengine/libraw/samples/postprocessing_benchmark.cpp,
	core/libs/rawengine/libraw/samples/raw-identify.cpp,
	core/libs/rawengine/libraw/samples/simple_dcraw.cpp,
	core/libs/rawengine/libraw/samples/unprocessed_raw.cpp,
	core/libs/rawengine/libraw/src/decoders/canon_600.cpp,
	core/libs/rawengine/libraw/src/decoders/crx.cpp,
	core/libs/rawengine/libraw/src/decoders/decoders_dcraw.cpp,
	core/libs/rawengine/libraw/src/decoders/decoders_libraw.cpp,
	core/libs/rawengine/libraw/src/decoders/decoders_libraw_dcrdefs.cpp
	, core/libs/rawengine/libraw/src/decoders/dng.cpp,
	core/libs/rawengine/libraw/src/decoders/fp_dng.cpp,
	core/libs/rawengine/libraw/src/decoders/load_mfbacks.cpp,
	core/libs/rawengine/libraw/src/decoders/unpack.cpp,
	core/libs/rawengine/libraw/src/decoders/unpack_thumb.cpp,
	core/libs/rawengine/libraw/src/demosaic/xtrans_demosaic.cpp,
	core/libs/rawengine/libraw/src/integration/dngsdk_glue.cpp,
	core/libs/rawengine/libraw/src/libraw_c_api.cpp,
	core/libs/rawengine/libraw/src/libraw_datastream.cpp,
	core/libs/rawengine/libraw/src/metadata/canon.cpp,
	core/libs/rawengine/libraw/src/metadata/ciff.cpp,
	core/libs/rawengine/libraw/src/metadata/cr3_parser.cpp,
	core/libs/rawengine/libraw/src/metadata/epson.cpp,
	core/libs/rawengine/libraw/src/metadata/exif_gps.cpp,
	core/libs/rawengine/libraw/src/metadata/fuji.cpp,
	core/libs/rawengine/libraw/src/metadata/hasselblad_model.cpp,
	core/libs/rawengine/libraw/src/metadata/identify.cpp,
	core/libs/rawengine/libraw/src/metadata/kodak.cpp,
	core/libs/rawengine/libraw/src/metadata/makernotes.cpp,
	core/libs/rawengine/libraw/src/metadata/mediumformat.cpp,
	core/libs/rawengine/libraw/src/metadata/misc_parsers.cpp,
	core/libs/rawengine/libraw/src/metadata/nikon.cpp,
	core/libs/rawengine/libraw/src/metadata/normalize_model.cpp,
	core/libs/rawengine/libraw/src/metadata/olympus.cpp,
	core/libs/rawengine/libraw/src/metadata/pentax.cpp,
	core/libs/rawengine/libraw/src/metadata/sony.cpp,
	core/libs/rawengine/libraw/src/metadata/tiff.cpp,
	core/libs/rawengine/libraw/src/postprocessing/postprocessing_ph.cpp
	,
	core/libs/rawengine/libraw/src/postprocessing/postprocessing_utils_
	dcrdefs.cpp,
	core/libs/rawengine/libraw/src/preprocessing/preprocessing_ph.cpp,
	core/libs/rawengine/libraw/src/tables/cameralist.cpp,
	core/libs/rawengine/libraw/src/tables/colordata.cpp,
	core/libs/rawengine/libraw/src/tables/wblists.cpp,
	core/libs/rawengine/libraw/src/utils/decoder_info.cpp,
	core/libs/rawengine/libraw/src/utils/init_close_utils.cpp,
	core/libs/rawengine/libraw/src/utils/open.cpp,
	core/libs/rawengine/libraw/src/utils/thumb_utils.cpp,
	core/libs/rawengine/libraw/src/utils/utils_libraw.cpp,
	core/libs/rawengine/libraw/src/write/file_write.cpp,
	core/libs/rawengine/libraw/src/write/write_ph.cpp,
	core/libs/rawengine/libraw/src/x3f/x3f_parse_process.cpp,
	core/libs/rawengine/libraw/src/x3f/x3f_utils_patched.cpp: Update
	internal Libraw to snapshot 202110:           * Camera Format
	support:            - Sony Lossless compressed support            -
	Panasonic v6/12 bit           * Camera support:            - DJI
	Mavic Air 2S            - Fujifilm GFX 50S II;  GFX 100S, X-E4
	- GoPro HERO9, HERO10 (if compiled w/ USE_GPR_SDK)            -
	Nikon Z fc            - Panasonic GH5 Mark II            - Pentax K3
	Mark III            - Olympus E-P7            - Ricoh GR IIIx
	- Sony A1, A7R-IIIA (ILCE-7RM3A), A7R-IVA (ILCE-7RM4A), ZV-E10
	- Canon EOS M50 Mark II was supported but not listed in camera list


2021-11-05  Maik Qualmann <metzpinguin@gmail.com>

	* core/dplugins/bqm/decorate/watermark/watermark.cpp: polish
	watermark tool

2021-11-05  Maik Qualmann <metzpinguin@gmail.com>

	* NEWS: update

2021-11-05  Maik Qualmann <metzpinguin@gmail.com>

	* NEWS: update

2021-11-05  Maik Qualmann <metzpinguin@gmail.com>

	* NEWS: update

2021-11-05  Doktor Ziel <doktor@zielony-backlog.pl>

	* core/dplugins/bqm/decorate/watermark/watermark.cpp: New feature
	added:  one can specify additional transparency of watermark image

2021-11-05  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS, project/bundles/3rdparty/ext_exiv2/CMakeLists.txt: update
	all bundles with last stable Exiv2 0.27.5 CCBUGS: 444903

2021-11-05  Gilles Caulier <caulier.gilles@gmail.com>

	* core/showfoto/stackview/showfotostackviewfavorites.cpp: polish

2021-11-05  Gilles Caulier <caulier.gilles@gmail.com>

	* core/libs/dplugins/setup/dpluginconfview.cpp: report real number
	of plugins found, not a simple boolean

2021-11-05  Gilles Caulier <caulier.gilles@gmail.com>

	* core/libs/widgets/text/searchtextbar.cpp: polish

2021-11-05  Gilles Caulier <caulier.gilles@gmail.com>

	* core/showfoto/stackview/showfotostackviewfavoritelist.cpp,
	core/showfoto/stackview/showfotostackviewfavoritelist.h,
	core/showfoto/stackview/showfotostackviewfavorites.cpp,
	core/showfoto/stackview/showfotostackviewfavorites.h: Showfoto Stack
	View List: add filter text bar to show only desired entries based on
	text query

2021-11-03  Maik Qualmann <metzpinguin@gmail.com>

	* NEWS: update

2021-11-03  Maik Qualmann <metzpinguin@gmail.com>

	* NEWS, core/libs/album/manager/albummanager_database.cpp: no check
	for existing SQLite DB with database directory option BUGS: 444872
	FIXED-IN: 7.4.0

2021-11-02  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2021-11-01  Maik Qualmann <metzpinguin@gmail.com>

	* NEWS: update

2021-10-30  Maik Qualmann <metzpinguin@gmail.com>

	* core/libs/database/utils/widgets/dbsettingswidget.cpp: add and
	polish i18n tooltips

2021-10-29  Maik Qualmann <metzpinguin@gmail.com>

	* NEWS: update

2021-10-29  Maik Qualmann <metzpinguin@gmail.com>

	* NEWS, core/libs/database/thumbsdb/thumbsdbaccess.cpp,
	core/libs/database/utils/widgets/dbsettingswidget.cpp,
	core/libs/database/utils/widgets/dbsettingswidget.h,
	core/libs/database/utils/widgets/dbsettingswidget_p.h: add GUI
	option to configure a local SQLite Thumbnail DB folder BUGS: 297922
	FIXED-IN: 7.4.0

2021-10-29  Maik Qualmann <metzpinguin@gmail.com>

	* core/libs/database/thumbsdb/thumbsdbaccess.cpp: add code to use a
	local SQLite DB for thumbnails when using MySQL CCBUGS: 297922

2021-10-29  l10n daemon script <scripty@kde.org>

	*
	core/dplugins/generic/tools/htmlgallery/themes/simpleslides/simples
	lides.desktop: SVN_SILENT made messages (.desktop file) - always
	resolve ours  In case of conflict in i18n, keep the version of the
	branch "ours" To resolve a particular conflict, "git checkout --ours
	path/to/file.desktop"

2021-10-29  l10n daemon script <scripty@kde.org>

	* core/app/main/org.kde.digikam.appdata.xml: GIT_SILENT made
	messages (after extraction)

2021-10-27  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2021-10-27  Gilles Caulier <caulier.gilles@gmail.com>

	* core/showfoto/stackview/showfotostackviewfavoritelist.cpp: Check
	if source dropped item name already exist in target hierarchy

2021-10-27  Gilles Caulier <caulier.gilles@gmail.com>

	* core/showfoto/stackview/showfotostackviewfavoritefolderdlg.cpp,
	core/showfoto/stackview/showfotostackviewfavoritefolderdlg.h,
	core/showfoto/stackview/showfotostackviewfavoriteitem.cpp,
	core/showfoto/stackview/showfotostackviewfavoriteitem.h,
	core/showfoto/stackview/showfotostackviewfavoriteitemdlg.cpp,
	core/showfoto/stackview/showfotostackviewfavoriteitemdlg.h,
	core/showfoto/stackview/showfotostackviewfavoritelist.cpp,
	core/showfoto/stackview/showfotostackviewfavoritelist.h,
	core/showfoto/stackview/showfotostackviewfavorites.cpp: Item
	definitions API simplifications Read/save treeview to XML
	simplification and optimizations

2021-10-27  l10n daemon script <scripty@kde.org>

	*
	core/dplugins/generic/tools/htmlgallery/themes/simpleslides/simples
	lides.desktop: SVN_SILENT made messages (.desktop file) - always
	resolve ours  In case of conflict in i18n, keep the version of the
	branch "ours" To resolve a particular conflict, "git checkout --ours
	path/to/file.desktop"

2021-10-27  l10n daemon script <scripty@kde.org>

	* core/app/main/org.kde.digikam.appdata.xml: GIT_SILENT made
	messages (after extraction)

2021-10-25  Gilles Caulier <caulier.gilles@gmail.com>

	* core/showfoto/stackview/showfotostackviewfavoritelist.cpp,
	core/showfoto/stackview/showfotostackviewfavoritelist.h: polish

2021-10-25  Gilles Caulier <caulier.gilles@gmail.com>

	* core/showfoto/stackview/showfotostackviewfavoriteitem.cpp,
	core/showfoto/stackview/showfotostackviewfavoriteitem.h,
	core/showfoto/stackview/showfotostackviewfavoritelist.cpp,
	core/showfoto/stackview/showfotostackviewfavoritelist.h: polish

2021-10-25  Gilles Caulier <caulier.gilles@gmail.com>

	* core/utilities/queuemanager/views/queuelist.cpp: polish

2021-10-24  Gilles Caulier <caulier.gilles@gmail.com>

	* core/showfoto/stackview/showfotostackviewfavoriteitem.cpp,
	core/showfoto/stackview/showfotostackviewfavoritelist.cpp,
	core/showfoto/stackview/showfotostackviewfavoritelist.h: Add drag
	and drop support into favorite tree-view to re-orgarnise the
	hierarchy

2021-10-24  Maik Qualmann <metzpinguin@gmail.com>

	* NEWS: update

2021-10-24  Gilles Caulier <caulier.gilles@gmail.com>

	* core/showfoto/stackview/showfotostackviewfavoritefolderdlg.cpp,
	core/showfoto/stackview/showfotostackviewfavoritefolderdlg.h,
	core/showfoto/stackview/showfotostackviewfavoriteitemdlg.cpp,
	core/showfoto/stackview/showfotostackviewfavoriteitemdlg.h,
	core/showfoto/stackview/showfotostackviewfavorites.cpp: Now uses the
	new favorite folder edit/create dialog

2021-10-24  Gilles Caulier <caulier.gilles@gmail.com>

	* core/showfoto/CMakeLists.txt,
	core/showfoto/stackview/showfotostackviewfavoritefolderdlg.cpp,
	core/showfoto/stackview/showfotostackviewfavoritefolderdlg.h,
	core/showfoto/stackview/showfotostackviewfavoriteitemdlg.cpp,
	core/showfoto/stackview/showfotostackviewfavoriteitemdlg.h,
	core/showfoto/stackview/showfotostackviewfavorites.cpp: prepare the
	favorite folder edit/create dialog

2021-10-24  Maik Qualmann <metzpinguin@gmail.com>

	* NEWS: update

2021-10-24  Gilles Caulier <caulier.gilles@gmail.com>

	* core/showfoto/CMakeLists.txt,
	core/showfoto/stackview/{showfotostackviewfavoritedlg.cpp =>
	showfotostackviewfavoriteitemdlg.cpp},
	core/showfoto/stackview/{showfotostackviewfavoritedlg.h =>
	showfotostackviewfavoriteitemdlg.h},
	core/showfoto/stackview/showfotostackviewfavorites.cpp: rename class


2021-10-24  Gilles Caulier <caulier.gilles@gmail.com>

	* core/showfoto/stackview/showfotostackviewfavoriteitem.cpp,
	core/showfoto/stackview/showfotostackviewfavoriteitem.h: factoring
	and simplification

2021-10-24  Gilles Caulier <caulier.gilles@gmail.com>

	* core/showfoto/stackview/showfotostackviewfavoritedlg.cpp,
	core/showfoto/stackview/showfotostackviewfavoriteitem.cpp,
	core/showfoto/stackview/showfotostackviewfavorites.cpp,
	core/showfoto/stackview/showfotostackviewfavorites.h: Fix edit mode
	with original name fix layout fix API

2021-10-23  Gilles Caulier <caulier.gilles@gmail.com>

	* core/showfoto/stackview/showfotostackviewfavoritedlg.cpp: show
	hierarchy property in favorite create/edit dialog

